Package org.gradle.tooling.events

## Interface FinishEvent

- All Superinterfaces:
    `ProgressEvent`
  All Known Subinterfaces:
    `ProjectConfigurationFinishEvent`, `TaskFinishEvent`, `TestFinishEvent`, `TransformFinishEvent`, `WorkItemFinishEvent`

      public interface FinishEvent
      extends ProgressEvent

  An event that informs about an operation having finished its execution.
  Since:
    2.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OperationResult` | `getResult()` | Returns the result of the finished operation.

    - ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

      `getDescriptor, getDisplayName, getEventTime`

- - ### Method Detail

    - #### getResult

          OperationResult getResult()

      Returns the result of the finished operation.
      Returns:
        the result of the finished operation